<p-blockUI [blocked]="blockedDocument"
  ><p-progressSpinner></p-progressSpinner
></p-blockUI>
<p-accordion [multiple]="true">
    <p-accordionTab [selected]="true" header="ข้อมูล ReferBack" [selected]="true">

        <div class="w-full bg-gray-50 p-2">
            <div class="formgrid grid p-1">
                <div class="field col-12 md:col-6 lg:col-3">

                    <label class="text-cyan-900">ประเภทผู้ป่วย</label>
                    <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" 
                    placeholder="กรุณาเลือก" 
                    [options]="itemeReferCause" 
                    [(ngModel)]="cause_referback_id" 
                    optionLabel="cause_referback_name" 
                    optionValue="cause_referback_id" 
                    [filter]="true" 
                    filterBy="cause_referback_name"
                    ></p-dropdown>
                </div>
                <div class="field col-12 md:col-6 lg:col-3">
                    <label for="typept_id">การนำส่ง</label>
                    <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" placeholder="การนำส่ง" 
                    [options]="itemeLoads" 
                    [(ngModel)]="loads_id" 
                    optionLabel="loads_name" 
                    optionValue="loads_id" 
                    [filter]="true" 
                    filterBy="loads_name"
                    ></p-dropdown>
                </div>

                <div class="field col-12 md:col-3 mt-5">
                    <button class="button" pButton type="button" (click)="onChangeSave()" value="Submit">บันทึก ReferBack</button>
                </div>
                <div class="field col-12 md:col-3 mt-5">
                    
                </div>
                <div class="field col-12 md:col-6 lg:col-3">
                    <label for="refer_triage_id">ปลายทางส่งต่อ</label>
                    <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" 
                    placeholder="กรุณาเลือก" 
                    [options]="itemeStation" 
                    [(ngModel)]="station_id" 
                    optionLabel="station_name" 
                    optionValue="station_id" 
                    [filter]="true" 
                    filterBy="station_name"
                    ></p-dropdown>
                </div>
                <div class="field col-12 md:col-6 lg:col-3">
                    <label for="refer_type">การส่งต่อ</label>
                    <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" 
                    placeholder="กรุณาเลือก" 
                    [options]="itemeRefertype" 
                    [(ngModel)]="refer_type" 
                    optionLabel="refer_type_name" 
                    optionValue="refer_type" 
                    [filter]="true" 
                    filterBy="refer_type_name"
                    ></p-dropdown>
            </div>

            <div class="field col-12 md:col-3">
                <br/><br/>
                <div class="field-checkbutton">
                    <p-checkbox id="is_coc"  [(ngModel)]="is_coc" [value]="1"></p-checkbox>&nbsp;&nbsp;&nbsp;<label for="is_coc"> ส่งเยี่ยมบ้าน</label>
            </div>
            </div>


                <div class="field col-12 md:col-9">
                    <div class="formgroup-inline">
                        <div class="field-radiobutton">
                            <p-radioButton [(ngModel)]="refer_appoint" [value]="0" id="refer_appoint0"></p-radioButton>
                            <label for="city7">ไม่ขอนัด</label>
                        </div>
                        <div class="field-radiobutton">
                            <p-radioButton [(ngModel)]="refer_appoint" [value]="2" id="refer_appoint2"></p-radioButton>
                            <label for="city8">ขอนัดตามสะดวก</label>
                        </div>
                        <div class="field-radiobutton">
                            <p-radioButton [(ngModel)]="refer_appoint" [value]="3" id="refer_appoint3"></p-radioButton>
                            <label for="city8">มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง</label>
                        </div>
                        <div class="field-radiobutton">
                            <p-radioButton [(ngModel)]="refer_appoint" [value]="1" id="refer_appoint1"></p-radioButton>
                            <label for="city8">ขอนัดด่วนภายใน 24 ชั่วโมง</label>
                        </div>
                        <div class="field-radiobutton">
                            <p-radioButton [(ngModel)]="refer_appoint" [value]="4" id="refer_appoint4"></p-radioButton>
                            <label for="city8">ขอนัด CAG</label>
                        </div>
                    </div>
                </div>

                

                <div class="field col-12 md:col-6">
                    <label for="refer_remark">หมายเหตุ</label>
                    <textarea id="refer_remark" type="text" [(ngModel)]="refer_remark"rows="6" class="inputfield w-full"></textarea>
                </div>

            </div>
        </div>

    </p-accordionTab>

    <p-accordionTab header="ดูข้อมูลทั่วไป" [selected]="true">
        <div class="w-full bg-gray-50 p-2">
            <div class="formgrid grid p-1">
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">เลขที่ส่ง : </span>
                    <span for="city7">{{refer.provider_code}}-3-{{refer.referno}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">เลขที่ HIS : </span>
                    <span for="city7">{{refer.referno}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">วันที่ : </span>
                    <span for="city7">{{refer.ReferDate | thaidate:'short'}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">HN : </span>
                    <span for="city7">{{refer.hn}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">ชื่อ : </span>
                    <span for="city7">{{profile.title_name}}{{profile.first_name}} {{profile.last_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">อายุ : </span>
                    <span for="city7">{{profile.age}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">PID : </span>
                    <span for="city7">{{refer.pid}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">AN : </span>
                    <span for="city7">{{refer.an}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">เลขบัตรประชาชน : </span>
                    <span for="city7">{{profile.cid}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">เพศ : </span>
                    <span for="city7">{{profile.sex}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">อาชีพ : </span>
                    <span for="city7">{{profile.occupation}}</span>
                </div>
                <div class="field col md:col-4">
                    <!-- <span for="city7" class="text-green-600">เลขที่ส่ง : </span>
            <span for="city7">10957-1-64002499</span> -->
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">บิดา : </span>
                    <span for="city7">{{profile.father_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">มารดา : </span>
                    <span for="city7">{{profile.mother_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">คู่สมรส : </span>
                    <span for="city7">{{profile.couple_name}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">ผู้ที่สามารถติดต่อได้ : </span>
                    <span for="city7">{{profile.contact_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">ความสัมพันธ์ : </span>
                    <span for="city7">{{profile.mother_relation}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">โทรศัพท์ : </span>
                    <span for="city7">{{profile.contact_mobile}}</span>
                </div>

                <div class="field col md:col-8">
                    <span for="city7" class="text-green-600">ที่อยู่ : </span>
                    <span for="city7">{{profile.addrpart}} {{textAddress}} </span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">service Plan : </span>
                    <span for="city7"></span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">จากสถานพยาบาล : </span>
                    <span for="city7">{{refer.provider_code}} : {{refer.provider_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">แพทย์ผู้สั่ง : </span>
                    <span for="city7">{{refer.doctor_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">จุดบริการปลายทาง : </span>
                    <span for="city7">{{refer.to_hcode}} : {{refer.to_hcode_name}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">เหตุผลการส่ง : </span>
                    <span for="city7">{{refer.refer_cause}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">สิทธิการรักษา : </span>
                    <span for="city7">{{profile.pttype_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">เลขที่สิทธิ : </span>
                    <span for="city7">{{profile.pttype_no}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">สถานพยาบาลหลัก : </span>
                    <span for="city7">{{profile.hospmain}} : {{profile.hospmain_name}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-600">สถานพยาบาลรอง : </span>
                    <span for="city7">{{profile.hospsub}} : {{profile.hospsub_name}}</span>
                </div>
            </div>
        </div>
    </p-accordionTab>
    <p-accordionTab header="การวินิจฉัย" [selected]="true">
        <div class="w-full bg-gray-50 p-2">
            <div class="formgrid grid p-1">
                <div class="field col-12 md:col-12">
                    <label for="diag_text" class="text-green-600">การวินิจฉัยโรคเบื้องต้น</label>
                    <textarea id="diag_text" type="text" rows="6" [(ngModel)]="diag_text" class="inputfield w-full"></textarea>
                </div>
            </div>
            <div class="field col-12 md:col-12">
                    <label for="diag_text" class="text-green-600">ผลการวินิจฉัย</label>
                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                        <p-table #dtCreate [value]="diagnosis" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                            [rowHover]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
                            [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
                            paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
                            [virtualRowHeight]="6" [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle" frozenColumns="10">
                            <ng-template pTemplate="headergrouped">
                                <tr>
                                    <th class="text-center" #pFrozenColumn>รหัส icd10</th>
                                    <th class="text-center" #pFrozenColumn>การวินิจฉัย(อังกฤษ)</th>
                                    <th class="text-center">ประเภทการวินิจฉัย</th>
                                </tr>
                            </ng-template>
                            <ng-template pTemplate="body" let-rows>
                                <tr class="p-selectable-row">
                                    <td #pFrozenColumn>
                                        <span class="p-column-title">รหัส icd10</span>
                                        {{rows.icd_code}}
                                    </td>
                                    <td #pFrozenColumn>
                                        <span class="p-column-title">การวินิจฉัย(อังกฤษ)</span>
                                        {{rows.icd_name}}
                                    </td>
                                    <td #pFrozenColumn>
                                        <span class="p-column-title">ประเภทการวินิจฉัย</span>
                                        <span *ngIf="rows.diag_type == 1">
                                            โรคหลัก
                                        </span>
                                        <span *ngIf="rows.diag_type != 1">
                                            โรครอง
                                        </span>
                                    </td>
                                </tr>
                            </ng-template>
                            <ng-template pTemplate="emptymessage">
                                <tr>
                                    <td colspan="16">ไม่พบรายการ..</td>
                                </tr>
                            </ng-template>
                        </p-table>
                    </div>
            </div>
        </div>
    </p-accordionTab>

    <p-accordionTab header="ผลการรักษา-แนบเอกสาร" [selected]="true">
        <div class="flex">
        <div class="w-full bg-gray-50 p-2">
            <div class="formgrid grid p-1">
                <p-tabView>
                    <p-tabPanel header="การรักษา" leftIcon="pi pi-book">
                            <br />
                            <div class="flex">
                                <div class="w-full bg-gray-50">
                            <div class="formgrid grid" style="height:359px;" >
                                <div class="field col-12 md:col-12">
                                    <b class="text-green-600">น้ำหนัก&nbsp;&nbsp; </b> <strong>{{nurtures.weight}} &nbsp;กก.</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">ส่วนสูง&nbsp;&nbsp; </b> <strong>{{nurtures.height}}&nbsp;ซม.</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">BMI&nbsp;&nbsp; </b> <strong>{{bmi | number:'1.2-2' :'en'}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">ความดันโลหิต&nbsp;&nbsp; </b> <strong>{{nurtures.sbp}}</strong>/<strong>{{nurtures.dbp}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">อุณหภูมิ&nbsp;&nbsp; </b> <strong>{{nurtures.temperature}}&nbsp;เซลเซียส</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">PR&nbsp;&nbsp; </b> <strong>{{nurtures.pr}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">RR&nbsp;&nbsp; </b> <strong>{{nurtures.rr}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Blood Group&nbsp;&nbsp; </b> <strong>{{nurtures.bloodgrp}}</strong>&nbsp;&nbsp;&nbsp;
                                    <br>
                                    <b class="text-green-600">Sao2&nbsp;&nbsp; </b> <strong><{{nurtures.oxygen_sat}}&nbsp;%</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:E&nbsp;&nbsp; </b> <strong>{{nurtures.eye_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:M&nbsp;&nbsp; </b> <strong>{{nurtures.movement_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">GCS:V&nbsp;&nbsp; </b> <strong>{{nurtures.vocal_score}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Pupil:Rt&nbsp;&nbsp; </b> <strong>{{nurtures.pupil_right}}</strong>&nbsp;&nbsp;&nbsp;
                                    <b class="text-green-600">Pupil:Lt&nbsp;&nbsp; </b> <strong>{{nurtures.pupil_left}}</strong>&nbsp;&nbsp;&nbsp;
                                </div>
                                <div class="field col-12 md:col-8">
                                    <label for="textPe" class="text-green-600"><b>Discharge Summary</b></label>
                                    <textarea id="textPe" type="text" rows="8" [(ngModel)]="textPe" class="inputfield w-full"></textarea>
                                </div>
                            </div>
                            </div>
                        </div>
                    </p-tabPanel>
    
                    <p-tabPanel header="หัตถการ" leftIcon="pi pi-credit-card">
                        <div class="field col-12 md:col-12">
                            <br />
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="procedure" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                         responsiveLayout="scroll"
                                       [scrollable]="true" scrollHeight="345px" 
                                        [virtualRowHeight]="6" >
                                        <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>วันที่ทำหัถการ</th>
                                            <th class="text-center" #pFrozenColumn>เวลา</th>
                                            <th class="text-center">รหัสหัตถการ</th>
                                            <th class="text-center">ชื่อหัตถการ</th>
                                            <th class="text-center">ค่าบริการ</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่ทำหัถการ</span>
                                                {{rows.date_serv | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">เวลา</span>
                                                {{rows.time_serv}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">รหัสหัตถการ</span>
                                                {{rows.procedure_code}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ชื่อหัตถการ</span>
                                                {{rows.procedure_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ค่าบริการ</span>
                                                {{rows.serviceprice}}
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel>

                    <p-tabPanel header="ผล LAB" leftIcon="pi pi-desktop"> 
                        <div class="field col-12 md:col-12">
                            <br>
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="lab" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" 
                                responsiveLayout="scroll"
                                [scrollable]="true" scrollHeight="345px"
                                [virtualRowHeight]="6" >
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>วันที่ทำแล็บ</th>
                                            <th class="text-center" #pFrozenColumn>เวลา</th>
                                            <th class="text-center">กลุ่มแล็บ</th>
                                            <th class="text-center">รายการ</th>
                                            <th class="text-center">ผลแล็บ</th>
                                            <th class="text-center">ค่าปกติ</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่ทำแล็บ</span>
                                                {{rows.date_serv | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">เวลา</span>
                                                {{rows.time_serv}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">กลุ่มแล็บ</span>
                                                {{rows.labgroup}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">รายการ</span>
                                                {{rows.lab_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ผลแล็บ</span>
                                                {{rows.lab_result}} {{rows.unit}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ค่าปกติ</span>
                                                {{rows.standard_result}}
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel>

                    <p-tabPanel header="ยา" leftIcon="pi pi-briefcase">
                        <div class="field col-12 md:col-12">
                            <br />
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="drugs" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" 
                                responsiveLayout="scroll"
                                [scrollable]="true" scrollHeight="345px"
                                [virtualRowHeight]="6" >
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>วันที่จ่ายยา</th>
                                            <th class="text-center" #pFrozenColumn>เวลา</th>
                                            <th class="text-center">ชื่อยา</th>
                                            <th class="text-center">จำนวน</th>
                                            <th class="text-center">หน่วยนับ</th>
                                            <th class="text-center">วิธีใช้</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่จ่ายยา</span>
                                                {{rows.date_serv | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">เวลา</span>
                                                {{rows.time_serv}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ชื่อยา</span>
                                                {{rows.drug_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">จำนวน</span>
                                                {{rows.qty}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">หน่วยนับ</span>
                                                {{rows.unit}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วิธีใช้</span>
                                                {{rows.usage_line1}}<br>
                                                {{rows.usage_line2}}<br>
                                                {{rows.usage_line3}}
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="ยาเดิม" leftIcon="pi pi-briefcase">
                        <div class="field col-12 md:col-12">
                            <br />
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="medrecconcile" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" 
                                responsiveLayout="scroll"
                                [scrollable]="true" scrollHeight="345px"
                                [virtualRowHeight]="6" >
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>ชื่อสถานบริการที่ได้รับยา</th>
                                            <th class="text-center" #pFrozenColumn>ชื่อยา</th>
                                            <th class="text-center">ขนาดและวิธีใช้ยา</th>
                                            <th class="text-center">วันที่ได้รับยาครั้งสุดท้าย</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ชื่อสถานบริการที่ได้รับยา</span>
                                                {{rows.drug_hospname}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ชื่อยา</span>
                                                {{rows.drug_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ขนาดและวิธีใช้ยา</span>
                                                {{rows.drug_use}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่ได้รับยาครั้งสุดท้าย</span>
                                                {{rows.drug_receive_date | thaidate:'short'}}
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="แพ้ยา" leftIcon="pi pi-ban">
                        <div class="field col-12 md:col-12">
                            <br />
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="allergy" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" 
                                responsiveLayout="scroll"
                                [scrollable]="true" scrollHeight="345px"
                                [virtualRowHeight]="6" >
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>วันที่มีอาการ</th>
                                            <th class="text-center" #pFrozenColumn>วันที่รายงาน</th>
                                            <th class="text-center">ยาที่แพ้</th>
                                            <th class="text-center">อาการที่แพ้</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่มีอาการ</span>
                                                {{rows.begin_date | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่รายงาน</span>
                                                {{rows.daterecord | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ยาที่แพ้</span>
                                                {{rows.drug_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">อาการที่แพ้</span>
                                                {{rows.symptom}}
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="X-Ray" leftIcon="pi pi-camera">
                        <div class="field col-12 md:col-12">
                            <br />
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="xray" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" 
                                responsiveLayout="scroll"
                                [scrollable]="true" scrollHeight="345px"
                                [virtualRowHeight]="6" >
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>วันที่สั่ง</th>
                                            <th class="text-center" #pFrozenColumn>รายการ</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่สั่ง</span>
                                                {{rows.xray_date | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">รายการ</span>
                                                {{rows.xray_name}}
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel>
                    <!-- <p-tabPanel header="วัคซีน Covid-19" leftIcon="pi pi-history">
                        <div class="field col-12 md:col-12">
                            <br />
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="itemeCovidVaccine" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" 
                                responsiveLayout="scroll"
                                [scrollable]="true" scrollHeight="345px"
                                [virtualRowHeight]="6" >
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center">เข็มที่</th>
                                            <th class="text-center" #pFrozenColumn>ชื่อหน่วยให้บริการ</th>
                                            <th class="text-center" #pFrozenColumn>วันที่/เวลา ได้รับวัคซีน</th>
                                            <th class="text-center">ชื่อ Vaccine</th>
                                            <th class="text-center">lot number</th>
                                            <th class="text-center">serial no</th>
                                            
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">เข็มที่</span>
                                                {{rows.vaccine_plan_no}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ชื่อหน่วยให้บริการ</span>
                                                {{rows.hospital_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">วันที่/เวลา ได้รับวัคซีน</span>
                                                {{rows.immunization_datetime | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ชื่อ Vaccine</span>
                                                {{rows.vaccine_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">lot number</span>
                                                {{rows.lot_number}}
                                            </td> <td #pFrozenColumn>
                                                <span class="p-column-title">serial no</span>
                                                {{rows.serial_no}}
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="6">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel> -->
                    <!-- <p-tabPanel header="เอกสารแนบ" leftIcon="pi pi-upload">
                        <div class="field col-12 md:col-12">
                            
                            <div class="col">
                                <div class="flex justify-content-end flex-wrap card-container green-container">
                                    <div class="flex align-items-center justify-content-center mb-2 mt-1">
                                        <span class="input-icon-left">
                                            <button pButton type="button" class="p-button-primary" (click)="uploadsRoute()"><i class="pi pi-paperclip"></i>&nbsp;แนบเอกสาร</button>
                                        </span>
                                    </div>                    
                                </div>                   
                            </div>
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="itemeAttachment" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                [rowHover]="true" 
                                responsiveLayout="scroll"
                                [scrollable]="true" scrollHeight="315px"
                                [virtualRowHeight]="6" >
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>วันที่</th>
                                            <th class="text-center" #pFrozenColumn>ประเภทเอกสาร</th>
                                            <th class="text-center" #pFrozenColumn>ดาวน์โหลดเอกสาร</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn>
                                                <span class="p-column-title">วันที่</span>
                                                {{rows.created_date | thaidate:'short'}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ประเภทเอกสาร</span>
                                                <span *ngIf="rows.description==null">{{rows.att_type}}</span>
                                                <span *ngIf="rows.description!=null">{{rows.description}}</span>
                                                                        </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ดาวน์โหลดเอกสาร</span>
                                                <span class="p-inputgroup-addon" pTooltip="ดาวน์โหลด"
                                                (click)="downloadAttRoute(rows.att_path)"><i class="fas fa-download"
                                                    style="line-height: 1.25;color:green"></i></span>
                                                                    </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                    </p-tabPanel> -->

                </p-tabView>
            </div>
        </div>
        </div>
    </p-accordionTab>


</p-accordion>

<!-- </div>
</div> -->